## freoffice-blog-plugin 1.0-1

=== debian/changelog ===
freoffice-blog-plugin (1.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Kaushal M <kshlmster@gmail.com>  Thu, 21 Oct 2010 20:23:03 +0530

## freoffice-blog-plugin 1.0-2

=== Makefile ===
#############################################################################
# Makefile for building: libBlogPlugin.so
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 21 20:19:03 2010
# Project:  blogPlugin.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile blogPlugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_MAEMO5_LIB -DQT_XMLPATTERNS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtXml -I/targets/FREMANTLE_X86/usr/include/QtXmlPatterns -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I. -Ilibmaia -I/usr/include/office -I/usr/local/include/office -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lkoodf -lcrypto -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtXmlPatterns -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = libmaia/maiaFault.cpp \
		libmaia/maiaObject.cpp \
		libmaia/maiaXmlRpcClient.cpp \
		libmaia/maiaXmlRpcServer.cpp \
		libmaia/maiaXmlRpcServerConnection.cpp \
		wordpressapi.cpp \
		wordpresspost.cpp \
		maindialog.cpp \
		settingsdialog.cpp \
		documentextractor.cpp \
		accounteditdialog.cpp \
		postdialog.cpp \
		blogplugin.cpp \
		bloggerapi.cpp \
		bloggerpost.cpp \
		encryptsupport.cpp moc_maiaFault.cpp \
		moc_maiaObject.cpp \
		moc_maiaXmlRpcClient.cpp \
		moc_maiaXmlRpcServer.cpp \
		moc_maiaXmlRpcServerConnection.cpp \
		moc_wordpressapi.cpp \
		moc_maindialog.cpp \
		moc_settingsdialog.cpp \
		moc_accounteditdialog.cpp \
		moc_postdialog.cpp \
		moc_blogplugin.cpp \
		moc_bloggerapi.cpp
OBJECTS       = maiaFault.o \
		maiaObject.o \
		maiaXmlRpcClient.o \
		maiaXmlRpcServer.o \
		maiaXmlRpcServerConnection.o \
		wordpressapi.o \
		wordpresspost.o \
		maindialog.o \
		settingsdialog.o \
		documentextractor.o \
		accounteditdialog.o \
		postdialog.o \
		blogplugin.o \
		bloggerapi.o \
		bloggerpost.o \
		encryptsupport.o \
		moc_maiaFault.o \
		moc_maiaObject.o \
		moc_maiaXmlRpcClient.o \
		moc_maiaXmlRpcServer.o \
		moc_maiaXmlRpcServerConnection.o \
		moc_wordpressapi.o \
		moc_maindialog.o \
		moc_settingsdialog.o \
		moc_accounteditdialog.o \
		moc_postdialog.o \
		moc_blogplugin.o \
		moc_bloggerapi.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		blogPlugin.pro
QMAKE_TARGET  = BlogPlugin
DESTDIR       = 
TARGET        = libBlogPlugin.so
TARGETD       = libBlogPlugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET): ui_maindialog.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: blogPlugin.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile blogPlugin.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile blogPlugin.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/BlogPlugin1.0.0 || $(MKDIR) .tmp/BlogPlugin1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/BlogPlugin1.0.0/ && $(COPY_FILE) --parents libmaia/maiaFault.h libmaia/maiaObject.h libmaia/maiaXmlRpcClient.h libmaia/maiaXmlRpcServer.h libmaia/maiaXmlRpcServerConnection.h wordpressapi.h wordpresspost.h maindialog.h settingsdialog.h documentextractor.h accounteditdialog.h postdialog.h blogplugin.h bloggerapi.h bloggerpost.h encryptsupport.h postdialog.h .tmp/BlogPlugin1.0.0/ && $(COPY_FILE) --parents libmaia/maiaFault.cpp libmaia/maiaObject.cpp libmaia/maiaXmlRpcClient.cpp libmaia/maiaXmlRpcServer.cpp libmaia/maiaXmlRpcServerConnection.cpp wordpressapi.cpp wordpresspost.cpp maindialog.cpp settingsdialog.cpp documentextractor.cpp accounteditdialog.cpp postdialog.cpp blogplugin.cpp bloggerapi.cpp bloggerpost.cpp encryptsupport.cpp .tmp/BlogPlugin1.0.0/ && $(COPY_FILE) --parents maindialog.ui .tmp/BlogPlugin1.0.0/ && (cd `dirname .tmp/BlogPlugin1.0.0` && $(TAR) BlogPlugin1.0.0.tar BlogPlugin1.0.0 && $(COMPRESS) BlogPlugin1.0.0.tar) && $(MOVE) `dirname .tmp/BlogPlugin1.0.0`/BlogPlugin1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/BlogPlugin1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_maiaFault.cpp moc_maiaObject.cpp moc_maiaXmlRpcClient.cpp moc_maiaXmlRpcServer.cpp moc_maiaXmlRpcServerConnection.cpp moc_wordpressapi.cpp moc_maindialog.cpp moc_settingsdialog.cpp moc_accounteditdialog.cpp moc_postdialog.cpp moc_blogplugin.cpp moc_bloggerapi.cpp moc_postdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_maiaFault.cpp moc_maiaObject.cpp moc_maiaXmlRpcClient.cpp moc_maiaXmlRpcServer.cpp moc_maiaXmlRpcServerConnection.cpp moc_wordpressapi.cpp moc_maindialog.cpp moc_settingsdialog.cpp moc_accounteditdialog.cpp moc_postdialog.cpp moc_blogplugin.cpp moc_bloggerapi.cpp moc_postdialog.cpp
moc_maiaFault.cpp: libmaia/maiaFault.h
	/usr/bin/moc $(DEFINES) $(INCPATH) libmaia/maiaFault.h -o moc_maiaFault.cpp

moc_maiaObject.cpp: libmaia/maiaObject.h
	/usr/bin/moc $(DEFINES) $(INCPATH) libmaia/maiaObject.h -o moc_maiaObject.cpp

moc_maiaXmlRpcClient.cpp: libmaia/maiaObject.h \
		libmaia/maiaXmlRpcClient.h
	/usr/bin/moc $(DEFINES) $(INCPATH) libmaia/maiaXmlRpcClient.h -o moc_maiaXmlRpcClient.cpp

moc_maiaXmlRpcServer.cpp: libmaia/maiaObject.h \
		libmaia/maiaXmlRpcServerConnection.h \
		libmaia/maiaFault.h \
		libmaia/maiaXmlRpcServer.h
	/usr/bin/moc $(DEFINES) $(INCPATH) libmaia/maiaXmlRpcServer.h -o moc_maiaXmlRpcServer.cpp

moc_maiaXmlRpcServerConnection.cpp: libmaia/maiaFault.h \
		libmaia/maiaXmlRpcServerConnection.h
	/usr/bin/moc $(DEFINES) $(INCPATH) libmaia/maiaXmlRpcServerConnection.h -o moc_maiaXmlRpcServerConnection.cpp

moc_wordpressapi.cpp: wordpresspost.h \
		wordpressapi.h
	/usr/bin/moc $(DEFINES) $(INCPATH) wordpressapi.h -o moc_wordpressapi.cpp

moc_maindialog.cpp: maindialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) maindialog.h -o moc_maindialog.cpp

moc_settingsdialog.cpp: settingsdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settingsdialog.h -o moc_settingsdialog.cpp

moc_accounteditdialog.cpp: accounteditdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) accounteditdialog.h -o moc_accounteditdialog.cpp

=== debian/changelog ===
freoffice-blog-plugin (1.0-2) unstable; urgency=low

  * Rebuilding package for PR1.3

 -- Kaushal M <kshlmster@gmail.com>  Thu, 21 Oct 2010 20:23:03 +0530

## freoffice-blog-plugin 1.0-3

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #############################################################################
 # Makefile for building: libBlogPlugin.so
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 21 20:19:03 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Dec 22 20:16:08 2010
 # Project:  blogPlugin.pro
 # Template: lib
-# Command: /usr/bin/qmake -unix -o Makefile blogPlugin.pro
+# Command: /usr/bin/qmake -o Makefile blogPlugin.pro
 #############################################################################
 
 ####### Compiler, tools and options
@@ -15,7 +15,7 @@
 CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtXml -I/targets/FREMANTLE_X86/usr/include/QtXmlPatterns -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I. -Ilibmaia -I/usr/include/office -I/usr/local/include/office -I. -I.
 LINK          = g++
-LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib -shared
+LFLAGS        = -Wl,-O1 -shared
 LIBS          = $(SUBLIBS)  -L/usr/lib -lkoodf -lcrypto -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtXmlPatterns -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
@@ -102,6 +102,7 @@
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
+		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -157,6 +158,7 @@
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
+		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -173,17 +175,18 @@
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
 		/usr/lib/libQtMaemo5.prl \
+		/usr/lib/libQtGui.prl \
 		/usr/lib/libQtDBus.prl \
 		/usr/lib/libQtXml.prl \
 		/usr/lib/libQtCore.prl \
-		/usr/lib/libQtGui.prl \
 		/usr/lib/libQtXmlPatterns.prl \
 		/usr/lib/libQtNetwork.prl
-	$(QMAKE) -unix -o Makefile blogPlugin.pro
+	$(QMAKE) -o Makefile blogPlugin.pro
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
+/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
@@ -200,14 +203,14 @@
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
 /usr/lib/libQtMaemo5.prl:
+/usr/lib/libQtGui.prl:
 /usr/lib/libQtDBus.prl:
 /usr/lib/libQtXml.prl:
 /usr/lib/libQtCore.prl:
-/usr/lib/libQtGui.prl:
 /usr/lib/libQtXmlPatterns.prl:
 /usr/lib/libQtNetwork.prl:
 qmake:  FORCE
-	@$(QMAKE) -unix -o Makefile blogPlugin.pro
+	@$(QMAKE) -o Makefile blogPlugin.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/BlogPlugin1.0.0 || $(MKDIR) .tmp/BlogPlugin1.0.0 
@@ -225,6 +228,8 @@
 	-$(DEL_FILE) $(TARGET) 
 	-$(DEL_FILE) Makefile
 
+
+check: first
 
 mocclean: compiler_moc_header_clean compiler_moc_source_clean
 
@@ -261,8 +266,3 @@
 	/usr/bin/moc $(DEFINES) $(INCPATH) maindialog.h -o moc_maindialog.cpp
 
 moc_settingsdialog.cpp: settingsdialog.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) settingsdialog.h -o moc_settingsdialog.cpp
-
-moc_accounteditdialog.cpp: accounteditdialog.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) accounteditdialog.h -o moc_accounteditdialog.cpp
-

=== libmaia/Makefile ===
#############################################################################
# Makefile for building: libmaia.a
# Generated by qmake (2.01a) (Qt 4.6.3) on: Tue Jul 20 10:47:55 2010
# Project:  maia.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile maia.pro
#############################################################################

####### Compiler, tools and options

CC            = @echo compiling $< && gcc
CXX           = @echo compiling $< && g++
DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -march=x86-64 -mtune=generic -O2 -pipe -D_REENTRANT -fPIC -Wall -W $(DEFINES)
CXXFLAGS      = -m64 -pipe -march=x86-64 -mtune=generic -O2 -pipe -D_REENTRANT -fPIC -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt/mkspecs/linux-g++-64 -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtXml -I/usr/include -I. -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = maiaObject.cpp \
		maiaFault.cpp \
		maiaXmlRpcClient.cpp \
		maiaXmlRpcServer.cpp \
		maiaXmlRpcServerConnection.cpp moc_maiaObject.cpp \
		moc_maiaFault.cpp \
		moc_maiaXmlRpcClient.cpp \
		moc_maiaXmlRpcServer.cpp \
		moc_maiaXmlRpcServerConnection.cpp
OBJECTS       = maiaObject.o \
		maiaFault.o \
		maiaXmlRpcClient.o \
		maiaXmlRpcServer.o \
		maiaXmlRpcServerConnection.o \
		moc_maiaObject.o \
		moc_maiaFault.o \
		moc_maiaXmlRpcClient.o \
		moc_maiaXmlRpcServer.o \
		moc_maiaXmlRpcServerConnection.o
DIST          = /usr/share/qt/mkspecs/common/g++.conf \
		/usr/share/qt/mkspecs/common/unix.conf \
		/usr/share/qt/mkspecs/common/linux.conf \
		/usr/share/qt/mkspecs/qconfig.pri \
		/usr/share/qt/mkspecs/features/qt_functions.prf \
		/usr/share/qt/mkspecs/features/qt_config.prf \
		/usr/share/qt/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt/mkspecs/features/default_pre.prf \
		maia.pri \
		/usr/share/qt/mkspecs/features/release.prf \
		/usr/share/qt/mkspecs/features/default_post.prf \
		/usr/share/qt/mkspecs/features/silent.prf \
		/usr/share/qt/mkspecs/features/qt.prf \
		/usr/share/qt/mkspecs/features/unix/thread.prf \
		/usr/share/qt/mkspecs/features/moc.prf \
		/usr/share/qt/mkspecs/features/staticlib.prf \
		/usr/share/qt/mkspecs/features/static.prf \
		/usr/share/qt/mkspecs/features/warn_on.prf \
		/usr/share/qt/mkspecs/features/resources.prf \
		/usr/share/qt/mkspecs/features/uic.prf \
		/usr/share/qt/mkspecs/features/yacc.prf \
		/usr/share/qt/mkspecs/features/lex.prf \
		/usr/share/qt/mkspecs/features/include_source_dir.prf \
		maia.pro
QMAKE_TARGET  = maia
DESTDIR       = 
TARGET        = libmaia.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: maia.pro  /usr/share/qt/mkspecs/linux-g++-64/qmake.conf /usr/share/qt/mkspecs/common/g++.conf \
		/usr/share/qt/mkspecs/common/unix.conf \
		/usr/share/qt/mkspecs/common/linux.conf \
		/usr/share/qt/mkspecs/qconfig.pri \
		/usr/share/qt/mkspecs/features/qt_functions.prf \
		/usr/share/qt/mkspecs/features/qt_config.prf \
		/usr/share/qt/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt/mkspecs/features/default_pre.prf \
		maia.pri \
		/usr/share/qt/mkspecs/features/release.prf \
		/usr/share/qt/mkspecs/features/default_post.prf \
		/usr/share/qt/mkspecs/features/silent.prf \
		/usr/share/qt/mkspecs/features/qt.prf \
		/usr/share/qt/mkspecs/features/unix/thread.prf \
		/usr/share/qt/mkspecs/features/moc.prf \
		/usr/share/qt/mkspecs/features/staticlib.prf \
		/usr/share/qt/mkspecs/features/static.prf \
		/usr/share/qt/mkspecs/features/warn_on.prf \
		/usr/share/qt/mkspecs/features/resources.prf \
		/usr/share/qt/mkspecs/features/uic.prf \
		/usr/share/qt/mkspecs/features/yacc.prf \
		/usr/share/qt/mkspecs/features/lex.prf \
		/usr/share/qt/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile maia.pro
/usr/share/qt/mkspecs/common/g++.conf:
/usr/share/qt/mkspecs/common/unix.conf:
/usr/share/qt/mkspecs/common/linux.conf:
/usr/share/qt/mkspecs/qconfig.pri:
/usr/share/qt/mkspecs/features/qt_functions.prf:
/usr/share/qt/mkspecs/features/qt_config.prf:
/usr/share/qt/mkspecs/features/exclusive_builds.prf:
/usr/share/qt/mkspecs/features/default_pre.prf:
maia.pri:
/usr/share/qt/mkspecs/features/release.prf:
/usr/share/qt/mkspecs/features/default_post.prf:
/usr/share/qt/mkspecs/features/silent.prf:
/usr/share/qt/mkspecs/features/qt.prf:
/usr/share/qt/mkspecs/features/unix/thread.prf:
/usr/share/qt/mkspecs/features/moc.prf:
/usr/share/qt/mkspecs/features/staticlib.prf:
/usr/share/qt/mkspecs/features/static.prf:
/usr/share/qt/mkspecs/features/warn_on.prf:
/usr/share/qt/mkspecs/features/resources.prf:
/usr/share/qt/mkspecs/features/uic.prf:
/usr/share/qt/mkspecs/features/yacc.prf:
/usr/share/qt/mkspecs/features/lex.prf:
/usr/share/qt/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile maia.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/maia1.0.0 || $(MKDIR) .tmp/maia1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/maia1.0.0/ && $(COPY_FILE) --parents maiaObject.h maiaFault.h maiaXmlRpcClient.h maiaXmlRpcServer.h maiaXmlRpcServerConnection.h .tmp/maia1.0.0/ && $(COPY_FILE) --parents maiaObject.cpp maiaFault.cpp maiaXmlRpcClient.cpp maiaXmlRpcServer.cpp maiaXmlRpcServerConnection.cpp .tmp/maia1.0.0/ && (cd `dirname .tmp/maia1.0.0` && $(TAR) maia1.0.0.tar maia1.0.0 && $(COMPRESS) maia1.0.0.tar) && $(MOVE) `dirname .tmp/maia1.0.0`/maia1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/maia1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_maiaObject.cpp moc_maiaFault.cpp moc_maiaXmlRpcClient.cpp moc_maiaXmlRpcServer.cpp moc_maiaXmlRpcServerConnection.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_maiaObject.cpp moc_maiaFault.cpp moc_maiaXmlRpcClient.cpp moc_maiaXmlRpcServer.cpp moc_maiaXmlRpcServerConnection.cpp
moc_maiaObject.cpp: maiaObject.h
	@echo moc maiaObject.h && /usr/bin/moc $(DEFINES) $(INCPATH) maiaObject.h -o moc_maiaObject.cpp

moc_maiaFault.cpp: maiaFault.h
	@echo moc maiaFault.h && /usr/bin/moc $(DEFINES) $(INCPATH) maiaFault.h -o moc_maiaFault.cpp

moc_maiaXmlRpcClient.cpp: maiaObject.h \
		maiaXmlRpcClient.h
	@echo moc maiaXmlRpcClient.h && /usr/bin/moc $(DEFINES) $(INCPATH) maiaXmlRpcClient.h -o moc_maiaXmlRpcClient.cpp

moc_maiaXmlRpcServer.cpp: maiaObject.h \
		maiaXmlRpcServerConnection.h \
		maiaFault.h \
		maiaXmlRpcServer.h
	@echo moc maiaXmlRpcServer.h && /usr/bin/moc $(DEFINES) $(INCPATH) maiaXmlRpcServer.h -o moc_maiaXmlRpcServer.cpp

moc_maiaXmlRpcServerConnection.cpp: maiaFault.h \
		maiaXmlRpcServerConnection.h
	@echo moc maiaXmlRpcServerConnection.h && /usr/bin/moc $(DEFINES) $(INCPATH) maiaXmlRpcServerConnection.h -o moc_maiaXmlRpcServerConnection.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

maiaObject.o: maiaObject.cpp maiaObject.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o maiaObject.o maiaObject.cpp

maiaFault.o: maiaFault.cpp maiaFault.h \
		maiaObject.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o maiaFault.o maiaFault.cpp

maiaXmlRpcClient.o: maiaXmlRpcClient.cpp maiaXmlRpcClient.h \
		maiaObject.h \
		maiaFault.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o maiaXmlRpcClient.o maiaXmlRpcClient.cpp

maiaXmlRpcServer.o: maiaXmlRpcServer.cpp maiaXmlRpcServer.h \
		maiaObject.h \
		maiaXmlRpcServerConnection.h \
		maiaFault.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o maiaXmlRpcServer.o maiaXmlRpcServer.cpp

maiaXmlRpcServerConnection.o: maiaXmlRpcServerConnection.cpp maiaXmlRpcServerConnection.h \
		maiaFault.h \
		maiaXmlRpcServer.h \
		maiaObject.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o maiaXmlRpcServerConnection.o maiaXmlRpcServerConnection.cpp

moc_maiaObject.o: moc_maiaObject.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_maiaObject.o moc_maiaObject.cpp

moc_maiaFault.o: moc_maiaFault.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_maiaFault.o moc_maiaFault.cpp

moc_maiaXmlRpcClient.o: moc_maiaXmlRpcClient.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_maiaXmlRpcClient.o moc_maiaXmlRpcClient.cpp

moc_maiaXmlRpcServer.o: moc_maiaXmlRpcServer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_maiaXmlRpcServer.o moc_maiaXmlRpcServer.cpp

moc_maiaXmlRpcServerConnection.o: moc_maiaXmlRpcServerConnection.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_maiaXmlRpcServerConnection.o moc_maiaXmlRpcServerConnection.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
freoffice-blog-plugin (1.0-3) unstable; urgency=low

  * Fix for Wordpress bug when posting documents without images

 -- Kaushal M <kshlmster@gmail.com>  Thu, 22 Dec 2010 20:51:00 +0530

=== debian/control ===
Source: freoffice-blog-plugin
Section: user/office
Priority: extra
Maintainer: Kaushal M <kshlmster@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, freoffice-dev (>= 0.2-7), libxi-dev, kofficemeego-dev (>= 2.2.0-9), libssl-dev
Standards-Version: 3.7.2

Package: freoffice-blog-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freoffice(>= 0.2-7)
Description: Blog Plugin for FreOffice
 This plugin adds blogging support to FreOffice. Currently Wordpress & Blogger are supported.

=== debian/rules ===
#!/usr/bin/make -f

builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../blogPlugin.pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/freoffice-blog-plugin install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
